### Method

# EBackend Cache get

since: 3.26

#### Declaration [src]

    gchar*
    e_cache_get (
      ECache* cache,
      const gchar* uid,
      gchar** out_revision,
      ECacheColumnValues** out_other_columns,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Returns an object with the given `uid`. This function does not consider locally deleted objects. The `out_revision` is set to the object revision, if not `NULL`. Free it with `g_free()` when no longer needed. Similarly the `out_other_columns` contains a column name to column value strings for additional columns which had been requested when calling e_cache_initialize_sync(), if not `NULL`. Free the returned `ECacheColumnValues` with e_cache_column_values_free(), when no longer needed.

Available since: 3.26

#### Parameters

`uid`

  Type: `const gchar*`

  A unique identifier of an object.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`out_revision`

  Type: `gchar**`

  An out variable for a revision of the object, or `NULL` to ignore.

  The argument will be set by the function.
  The argument can be set to `NULL` by the method.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.
  The value is a NUL terminated UTF-8 string.

`out_other_columns`

  Type: `ECacheColumnValues`

  An out variable for `ECacheColumnValues` other columns, as defined when creating the `cache`, or `NULL` to ignore.

  The argument will be set by the function.
  The argument can be set to `NULL` by the method.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gchar*`

An object with the given `uid`. Free it with g_free(), when no longer needed. Returns `NULL` on error, like when the object could not be found.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.